
package com.localmatters.consumer;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the com.localmatters.consumer package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _RetrieveResponse_QNAME = new QName("http://consumer.collector.flexiq.localmatters.com/", "retrieveResponse");
    private final static QName _Retrieve_QNAME = new QName("http://consumer.collector.flexiq.localmatters.com/", "retrieve");
    private final static QName _ConsumerException_QNAME = new QName("http://consumer.collector.flexiq.localmatters.com/", "ConsumerException");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: com.localmatters.consumer
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link Retrieve }
     * 
     */
    public Retrieve createRetrieve() {
        return new Retrieve();
    }

    /**
     * Create an instance of {@link RetrieveResponse }
     * 
     */
    public RetrieveResponse createRetrieveResponse() {
        return new RetrieveResponse();
    }

    /**
     * Create an instance of {@link ResultMessage }
     * 
     */
    public ResultMessage createResultMessage() {
        return new ResultMessage();
    }

    /**
     * Create an instance of {@link ConsumerException }
     * 
     */
    public ConsumerException createConsumerException() {
        return new ConsumerException();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link RetrieveResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://consumer.collector.flexiq.localmatters.com/", name = "retrieveResponse")
    public JAXBElement<RetrieveResponse> createRetrieveResponse(RetrieveResponse value) {
        return new JAXBElement<RetrieveResponse>(_RetrieveResponse_QNAME, RetrieveResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Retrieve }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://consumer.collector.flexiq.localmatters.com/", name = "retrieve")
    public JAXBElement<Retrieve> createRetrieve(Retrieve value) {
        return new JAXBElement<Retrieve>(_Retrieve_QNAME, Retrieve.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ConsumerException }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://consumer.collector.flexiq.localmatters.com/", name = "ConsumerException")
    public JAXBElement<ConsumerException> createConsumerException(ConsumerException value) {
        return new JAXBElement<ConsumerException>(_ConsumerException_QNAME, ConsumerException.class, null, value);
    }

}
