
package com.localmatters.producer;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the com.localmatters.producer package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _Send_QNAME = new QName("http://producer.collector.flexiq.localmatters.com/", "send");
    private final static QName _ProducerException_QNAME = new QName("http://producer.collector.flexiq.localmatters.com/", "ProducerException");
    private final static QName _SendResponse_QNAME = new QName("http://producer.collector.flexiq.localmatters.com/", "sendResponse");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: com.localmatters.producer
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link ProducerException }
     * 
     */
    public ProducerException createProducerException() {
        return new ProducerException();
    }

    /**
     * Create an instance of {@link Send }
     * 
     */
    public Send createSend() {
        return new Send();
    }

    /**
     * Create an instance of {@link SendResponse }
     * 
     */
    public SendResponse createSendResponse() {
        return new SendResponse();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Send }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://producer.collector.flexiq.localmatters.com/", name = "send")
    public JAXBElement<Send> createSend(Send value) {
        return new JAXBElement<Send>(_Send_QNAME, Send.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ProducerException }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://producer.collector.flexiq.localmatters.com/", name = "ProducerException")
    public JAXBElement<ProducerException> createProducerException(ProducerException value) {
        return new JAXBElement<ProducerException>(_ProducerException_QNAME, ProducerException.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link SendResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://producer.collector.flexiq.localmatters.com/", name = "sendResponse")
    public JAXBElement<SendResponse> createSendResponse(SendResponse value) {
        return new JAXBElement<SendResponse>(_SendResponse_QNAME, SendResponse.class, null, value);
    }

}
